/*********************************Copyright (c)*********************************\
**
**                      (c) Copyright 2024, , China.
**                              All Rights Reserved
**                               By(ൺ¿Ƽ)
**
**----------------------------------ļϢ------------------------------------
** ļ: STC32G_Soft_SPI.c
** Ա: 
** : 2024-12-25
** ĵ: ģSPIӿʵ
**
**----------------------------------汾Ϣ------------------------------------
** 汾: V0.1
** 汾˵: ʼ汾
**
**------------------------------------------------------------------------------
\**********************************End of Head**********************************/
#include "Config.h"
#include "STC32G_Soft_SPI.h"

PRIVATE void Delay(uint8_t aCount)
{
	while(aCount--);
}

void SoftSPI_Init(void)
{
	SOFT_SPI_CS_HIGH();
	SOFT_SPI_SCK = 0;
	SOFT_SPI_MOSI = 1;
}

void SoftSPI_WriteByte(uint8_t aValue)
{
	uint8_t i = 8;

	do
	{
		aValue <<= 1;
		SOFT_SPI_MOSI = CY;
		SOFT_SPI_SCK = 1;
		Delay(3);
		SOFT_SPI_SCK = 0;
	}while (--i);
	SOFT_SPI_MOSI = 1;
}

uint8_t SoftSPI_ReadByte(void)
{
	uint8_t i = 8, value = 0;

	do
	{
		value <<= 1;
		if (SOFT_SPI_MISO)
		{
			value++;
		}
		SOFT_SPI_SCK = 1;
		Delay(3);
		SOFT_SPI_SCK = 0;
	}while (--i);

	return value;
}

/**********************************End of File**********************************/
